Bug 471408 - PassSync logs a bogus error message
Summary: PassSync logs a bogus error message
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Sync Service
Version: 1.1.3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Chandrasekar Kannan
URL:
Whiteboard:
Depends On:
Blocks: 249650 FDS1.2.0
TreeView+ depends on / blocked
 
Reported: 2008-11-13 15:08 UTC by Rob Crittenden
Modified: 2015-01-04 23:34 UTC (History)
3 users (show)

Fixed In Version: 8.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-04-29 23:07:55 UTC


Attachments (Terms of Use)
diffs (5.59 KB, patch)
2009-02-13 20:37 UTC, Rich Megginson
no flags Details | Diff
cvs commit log (640 bytes, application/octet-stream)
2009-02-13 23:47 UTC, Rich Megginson
no flags Details
patch2 (2.33 KB, patch)
2009-03-16 23:50 UTC, Rich Megginson
no flags Details | Diff

Description Rob Crittenden 2008-11-13 15:08:16 UTC
Description of problem:

When PassSync starts it tries to open %sysPath\\system32\\passhook.dat. I assume that this file is used to cache changes if the service can't connect to FDS.

An error is logged that the file cannot be opened every time the service starts:

11/12/08 11:24:17: PassSync service started
11/12/08 11:24:17: Failed to load entries from file

So either the service installer should create a 0-length file to prevent this error message or simply not report it unless debugging is enabled.

Another option would be to change it to a better message, something like "No cached entries to process".

Version-Release number of selected component (if applicable):

PassSync-20060330.msi

Comment 1 Rich Megginson 2008-11-13 18:23:26 UTC
I don't know if we need to fix passsync for DS 8.1 - if so, we should fix this.

Comment 2 Rich Megginson 2009-02-13 20:37:40 UTC
Created attachment 331871 [details]
diffs

Comment 3 Rich Megginson 2009-02-13 23:35:00 UTC
Reviewed by: nkinder
Fix Description: Just see if the file does not yet exist.  If that is the case (err == ENOENT), then return a non-fatal error.  I also fixed a usage of list iterator - apparently it is not a pointer type, and should be passed by reference rather than by value.  Without this fix, I could not compile using Visual C++ 9.0 Express Edition
Platforms tested: Windows 2003 Server
Flag Day: no
Doc impact: no

Comment 4 Rich Megginson 2009-02-13 23:47:17 UTC
Created attachment 331885 [details]
cvs commit log

Comment 5 Jenny Severance 2009-03-16 17:10:32 UTC
fix verified Windows 2003 Enterprise Edition
New passsync.log message:

No entries yet

Comment 6 Rich Megginson 2009-03-16 23:50:29 UTC
Created attachment 335455 [details]
patch2

Comment 7 Rich Megginson 2009-03-16 23:52:53 UTC
sorry, wrong bug to reopen

Comment 8 Chandrasekar Kannan 2009-04-29 23:07:55 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0455.html


Note You need to log in before you can comment on or make changes to this bug.